# Bug description

## Story
- Discovered by a master student (Stian Alexander Solli) during his master thesis

## Scenario
- Three nodes
- All node reachable by each other except 0 and 2
- Senders are node 1 and 2
- Receiver is node 0

## Bug
- If both sender (1 and 2) send at the same time, node 0 communications are marked as interference which is undesirable

## Fix
- Add an additional check in the case where "receiver is sending" to ensure that the communication must be mark as interfering
